<?php
//-----Создаем титл страницы-----//
$title = 'Нарушения';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');
//-----Если гость,то...----//
if(!$user['id']) {
header('Location: /index.php');
exit();
}


$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

switch($_GET['act'])
{
default:



echo '<div class="title"><center>Нарушения пользователя '.$ank['login'].'</center></div>';
#####################################
echo '<div class="podmenu"><font color="red">Стоимость удаления нарушения 20 Рублей</font>, у Вас <font color="green">'.$user['money'].'</font> Рублей</div>';

$n = mysql_result(mysql_query("SELECT COUNT(id) FROM `nar` WHERE `komy` = '$user[id]'"),0); 


if(empty($n)){
echo '<div class="podmenu">У Вас нет нарушений</div>';
}

$nar = mysql_query("SELECT * FROM `nar` WHERE `komy` = '".$user[id]."' ORDER BY `time` DESC LIMIT 10");
while($a = mysql_fetch_assoc($nar))
{
echo '<div class="news">';
echo 'Применил: '.nick($a['who']).' ('.vremja($a['time']).')<br>
Причина: <b>'.$a['why'].'</b> <br>
Комментарий: '.smile(bb($a['kom'])).' <br>
Ссылка: '.smile(bb($a['link'])).'<br>';



if($user['money'] >= 20) echo ' [<a href="'.$HOME.'/user/del_nar.php?act=del&id='.$a['id'].'">удалить</a>]';
echo '</div>';
}



break;


case 'del':

$id = abs(intval($_GET['id']));
$nar = mysql_fetch_assoc(mysql_query("SELECT * FROM `nar` WHERE `id` = '".$id."'"));
$komy = mysql_fetch_assoc(mysql_query("SELECT * FROM `nar` WHERE `komy` = '".$nar['komy']."'"));

if($nar == 0) {
echo '<div class="title">Нарушения | Ошибка</div><div class="podmenu"><center><b>Такого нарушения не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['money'] >= 50) {
mysql_query("UPDATE `users` SET `rub` = '".($user['money']-20)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `nar` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/user/del_nar.php?id='.$nar['komy'].'');
exit();
} else {
header('Location: '.$HOME.'/user/del_nar.php?id='.$nar['komy'].'');
exit();
}

break;

}





//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>